Xapian: API Documentation: Xapian::MultiValueSorter Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Xapian::MultiValueSorter Class Reference

Sorter subclass which sorts by a several values. More...

Inheritance diagram for Xapian::MultiValueSorter:
[legend]

## Public Member Functions
virtual std::string | operator() (const Xapian::Document &doc) const
| Build a key string for a Document. More...
Public Member Functions inherited from Xapian::KeyMaker
virtual | ~KeyMaker ()
| Virtual destructor, because we have virtual methods. More...

## Detailed Description

Sorter subclass which sorts by a several values.

Results are ordered by the first value. In the event of a tie, the second is used. If this is the same for both, the third is used, and so on.

Deprecated:
  This class is deprecated - you should migrate to using MultiValueKeyMaker instead. Note that MultiValueSorter::add() becomes MultiValueKeyMaker::add_value(), but the sense of the direction flag is reversed (to be consistent with Enquire::set_sort_by_value()).

So:

        MultiValueSorter sorter;
        // Primary ordering is forwards on value 4.
        sorter.add(4);
        // Secondary ordering is reverse on value 5.
        sorter.add(5, false);

becomes:

        MultiValueKeyMaker sorter;
        // Primary ordering is forwards on value 4.
        sorter.add_value(4);
        // Secondary ordering is reverse on value 5.
        sorter.add_value(5, true);

## Member Function Documentation

virtual std::string Xapian::MultiValueSorter::operator() | ( | const Xapian::Document & | doc | ) | const
| virtual

Build a key string for a Document.

These keys can be used for sorting or collapsing matching documents.

Parameters

  doc | Document object to build a key for.

Implements Xapian::KeyMaker.

The documentation for this class was generated from the following file:

- xapian/keymaker.h